HttpMessage::setType
HttpMessage::toString
HttpMessage
PHP Manual

# HttpMessage::toMessageTypeObject

Create HTTP object regarding message type

### Description

public HttpRequest|HttpResponse HttpMessage::toMessageTypeObject ( void )

Creates an object regarding to the type of the message.

### Parameters

### Return Values

Returns either an HttpRequest or HttpResponse object on success, or `NULL` on failure.

### Errors/Exceptions

Throws HttpRuntimeException, HttpMessageTypeException, HttpHeaderException.